2007-07-14 08:33:53     pppd failed to run on 2.6.19.3 kernel

Document created by Aaronwu Employee on Aug 8, 2013
Version 1Show Document
  • View in full screen mode

2007-07-14 08:33:53     pppd failed to run on 2.6.19.3 kernel

hua zhu (CHINA)

Message: 41458    hi,

I tested to run

/bin/pppd pty '/bin/pppoe -I eth0' user test

on 2.6.19.3 kernel, pppd exit with no hint (syslogd refuses to work :=( )

but with the same kernel configuration,

it works fine on a 2.6.18 kernel.

any hint?

QuoteReplyEditDelete

 

 

2007-07-15 22:42:46     Re: pppd failed to run on 2.6.19.3 kernel

Yi Li (CHINA)

Message: 41474    Are you using pppd from SVN trunk? It is just updated to ppp-2.4.3 (the old version is ppp-2.3.8).

QuoteReplyEditDelete

 

 

2007-07-15 23:02:48     Re: pppd failed to run on 2.6.19.3 kernel

hua zhu (CHINA)

Message: 41475    thx Yi.

but it's not the lastest, it's 2.3.8.

QuoteReplyEditDelete

 

 

2007-07-15 23:36:38     Re: pppd failed to run on 2.6.19.3 kernel

Yi Li (CHINA)

Message: 41476    I'd suggest to use ppp-2.4.3. It is been tested on SVN-trunk kernel and toolchain. If you want, you may backport to your version of kernel. please refer to: http://docs.blackfin.uclinux.org/doku.php?id=:ppp

QuoteReplyEditDelete

 

 

2007-07-16 02:38:52     Re: pppd failed to run on 2.6.19.3 kernel

hua zhu (CHINA)

Message: 41481    Yi,

I tried ppp-2.4.4,

root:~> /bin/pppd pty '/bin/pppoe -I eth0' nodetach user test

Couldn't open pty slave /dev/pts/0: Unknown error 2

fork failed: Unknown error 38

Failed to create child process: Unknown error 22

 

for /dev/pts/0, is that due to my readonly rootfs?

and as I checked your former post, 2.3.8 works well, pls advise.

QuoteReplyEditDelete

 

 

2007-07-16 02:56:11     Re: pppd failed to run on 2.6.19.3 kernel

Yi Li (CHINA)

Message: 41483    You may try use the rp-pppoe plugin in ppp-2.4.3. Also did you enable pppoe in kernel? Pleaase note that, in the document, for ppp-2.3.8, I was using rp-pppoe in user space.

QuoteReplyEditDelete

 

 

2008-11-27 17:18:00     Re: pppd failed to run on 2.6.19.3 kernel

Tihomir Culjaga (CROATIA)

Message: 65926   

 

Hello,

 

 

 

please can you tell me how to you enable & build the image with pppoe support?

 

I was trying several times but no sucess ...

QuoteReplyEditDelete

 

 

2008-11-28 08:08:49     Re: pppd failed to run on 2.6.19.3 kernel

Robin Getz (UNITED STATES)

Message: 65961   

 

Tihomir:

 

Please don't restart old (closed) threads - new issue == new thread.

 

-Robin

Attachments

    Outcomes